%global dlrn_nvr proliantutils-2.7.0-0.20200221224458.5927a93
%global dlrn 1
%define upstream_version 2.7.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}}

Name:           python-proliantutils
Summary:        Client Library for interfacing with various devices in HP Proliant Servers
Version: 2.7.0
Release: 0.20200221224458.5927a93%{?dist}
License:        ASL 2.0
URL:            https://github.com/openstack/proliantutils

Source0: proliantutils-2.7.0-0.20200221224458.5927a93.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5927a933c58001a5f14766db8fa6bf5a83b4338c

BuildArch:      noarch

%description
Client Library for interfacing with various devices in HP Proliant Servers

%package -n     python%{pyver}-proliantutils
Summary:        Client Library for interfacing with various devices in HP Proliant Servers
%{?python_provide:%python_provide python%{pyver}-proliantutils}

BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  openstack-macros
Requires: python%{pyver}-six >= 1.10.0
Requires: python%{pyver}-oslo-concurrency >= 3.8.0
Requires: python%{pyver}-oslo-utils  >= 3.20.0
Requires: python%{pyver}-oslo-serialization >= 1.10.0
Requires: python%{pyver}-jsonschema
Requires: python%{pyver}-requests
Requires: python%{pyver}-sushy >= 1.8.0
Requires: python%{pyver}-pbr >= 2.0.0

# Handle python2 exception
%if %{pyver} == 2
Requires: pysnmp
Requires: python-retrying
%else
Requires: python%{pyver}-pysnmp
Requires: python%{pyver}-retrying
%endif

%prep
%autosetup -v -p 1 -n proliantutils-%{upstream_version}

rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

%install
%{pyver_install}

%description -n     python%{pyver}-proliantutils
Client Library for interfacing with various devices in HP Proliant Servers

%files -n     python%{pyver}-proliantutils
%license LICENSE
%doc README.rst
%{pyver_sitelib}/proliantutils*
%exclude %{pyver_sitelib}/proliantutils/*test*

%changelog
* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Tue Sep 24 2019 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Mon Sep 23 2019 RDO <dev@lists.rdoproject.org> 2.9.1-1
- Update to 2.9.1

